//
// Copyright (C) blog41 
// 
// File: pluginMain.cpp
//
// Author: Maya Plug-in Wizard 2.0
//

#include <maya/MFnPlugin.h>
#include "SimpleCommand.h"
#include "SimpleExporter.h"

MStatus initializePlugin( MObject obj )
//
//	Description:
//		this method is called when the plug-in is loaded into Maya.  It 
//		registers all of the services that this plug-in provides with 
//		Maya.
//
//	Arguments:
//		obj - a handle to the plug-in object (use MFnPlugin to access it)
//
{ 
	MStatus status;
	MFnPlugin plugin( obj, "blog41", "2008", "Any");

	// Add plug-in feature registration here
	//

	status = plugin.registerCommand("HelloMaya", CSimpleCommandCMD::creator);
	if(!status)
	{
		status.perror("Error registering HelloMaya command!");
		return status;
	}

	status = plugin.registerCommand("SimpleExporter", CSimpleExporterCMD::creator);
	if(!status)
	{
		status.perror("Error registering SimpleExporter command!");
		return status;
	}

	return status;
}

MStatus uninitializePlugin( MObject obj )
//
//	Description:
//		this method is called when the plug-in is unloaded from Maya. It 
//		deregisters all of the services that it was providing.
//
//	Arguments:
//		obj - a handle to the plug-in object (use MFnPlugin to access it)
//
{
	MStatus   status;
	MFnPlugin plugin( obj );

	// Add plug-in feature deregistration here
	//

	status = plugin.deregisterCommand("HelloMaya");
	if(!status)
	{
		status.perror("Error deregistering HelloMaya command!");
		return status;
	}

	status = plugin.deregisterCommand("SimpleExporter");
	if(!status)
	{
		status.perror("Error deregistering SimpleExporter command!");
		return status;
	}

	return status;
}
